<div>
  <div class="d-flex justify-content-center">
    <div class="col-md-4">
      <h1 jhiTranslate="reset.finish.title">Passwort zurücksetzen</h1>

      @if (initialized() && !key()) {
        <div class="alert alert-danger" jhiTranslate="reset.finish.messages.keymissing">Der Schlüssel zum Zurücksetzen fehlt.</div>
      }

      @if (key() && !success()) {
        <div class="alert alert-warning">
          <span jhiTranslate="reset.finish.messages.info">Wählen Sie ein neues Passwort</span>
        </div>
      }

      @if (error()) {
        <div class="alert alert-danger">
          <span jhiTranslate="reset.finish.messages.error"
            >Ihr Passwort konnte nicht zurückgesetzt werden. Zur Erinnerung, Ihre Anfrage ist nur 24 Stunden gültig.</span
          >
        </div>
      }

      @if (success()) {
        <div class="alert alert-success">
          <span jhiTranslate="reset.finish.messages.success"><strong>Ihr Passwort wurde zurückgesetzt.</strong> Bitte </span>
          <a class="alert-link" routerLink="/login" jhiTranslate="global.messages.info.authenticated.link">anmelden</a>.
        </div>
      }

      @if (doNotMatch()) {
        <div class="alert alert-danger" jhiTranslate="global.messages.error.dontmatch">
          Das bestätigte Passwort entspricht nicht dem neuen Passwort!
        </div>
      }

      @if (key() && !success()) {
        <div>
          <form name="form" (ngSubmit)="finishReset()" [formGroup]="passwordForm">
            <div class="mb-3">
              <label class="form-label" for="newPassword" jhiTranslate="global.form.newpassword.label">Neues Passwort</label>
              <input
                type="password"
                class="form-control"
                id="newPassword"
                name="newPassword"
                placeholder="{{ 'global.form.newpassword.placeholder' | translate }}"
                formControlName="newPassword"
                data-cy="resetPassword"
                #newPassword
              />

              @if (
                passwordForm.get('newPassword')!.invalid &&
                (passwordForm.get('newPassword')!.dirty || passwordForm.get('newPassword')!.touched)
              ) {
                <div>
                  @if (passwordForm.get('newPassword')?.errors?.required) {
                    <small class="form-text text-danger" jhiTranslate="global.messages.validate.newpassword.required"
                      >Ein neues Passwort wird benötigt.</small
                    >
                  }

                  @if (passwordForm.get('newPassword')?.errors?.minlength) {
                    <small class="form-text text-danger" jhiTranslate="global.messages.validate.newpassword.minlength"
                      >Das neue Passwort muss mindestens 4 Zeichen lang sein</small
                    >
                  }

                  @if (passwordForm.get('newPassword')?.errors?.maxlength) {
                    <small class="form-text text-danger" jhiTranslate="global.messages.validate.newpassword.maxlength"
                      >Das neue Passwort darf nicht länger als 50 Zeichen sein</small
                    >
                  }
                </div>
              }

              <jhi-password-strength-bar [passwordToCheck]="passwordForm.get('newPassword')!.value"></jhi-password-strength-bar>
            </div>

            <div class="mb-3">
              <label class="form-label" for="confirmPassword" jhiTranslate="global.form.confirmpassword.label"
                >Neues Passwort bestätigen</label
              >
              <input
                type="password"
                class="form-control"
                id="confirmPassword"
                name="confirmPassword"
                placeholder="{{ 'global.form.confirmpassword.placeholder' | translate }}"
                formControlName="confirmPassword"
                data-cy="confirmResetPassword"
              />

              @if (
                passwordForm.get('confirmPassword')!.invalid &&
                (passwordForm.get('confirmPassword')!.dirty || passwordForm.get('confirmPassword')!.touched)
              ) {
                <div>
                  @if (passwordForm.get('confirmPassword')?.errors?.required) {
                    <small class="form-text text-danger" jhiTranslate="global.messages.validate.confirmpassword.required"
                      >Sie müssen das Passwort bestätigen.</small
                    >
                  }

                  @if (passwordForm.get('confirmPassword')?.errors?.minlength) {
                    <small class="form-text text-danger" jhiTranslate="global.messages.validate.confirmpassword.minlength"
                      >Das bestätigte Passwort muss mindestens 4 Zeichen lang sein</small
                    >
                  }

                  @if (passwordForm.get('confirmPassword')?.errors?.maxlength) {
                    <small class="form-text text-danger" jhiTranslate="global.messages.validate.confirmpassword.maxlength"
                      >Das bestätigte Passwort darf nicht länger als 50 Zeichen sein</small
                    >
                  }
                </div>
              }
            </div>

            <button
              type="submit"
              [disabled]="passwordForm.invalid"
              class="btn btn-primary"
              data-cy="submit"
              jhiTranslate="reset.finish.form.button"
            >
              Neues Passwort setzen
            </button>
          </form>
        </div>
      }
    </div>
  </div>
</div>
